bridge.get_account_posts
Purpose
Obtiene los posts (publicación) de una cuenta — blog, feed, comentarios o respuestas.
Valores admitidos para sort:
blogfeedpostscommentsrepliespayout
Parámetros: sort:string; account:string; start_author:string (opcional, vacío por defecto); start_permlink:string (opcional, vacío por defecto); limit:int (opcional, 20 por defecto, máximo 100); observer:string (opcional)
Véase también: bridge.get_ranked_posts
Parameters
PARAMETERS
json
{
"sort": "blog",
"account": "steemit",
"limit": 1
}Example
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "bridge.get_account_posts",
"params": {
"sort": "blog",
"account": "steemit",
"limit": 1
},
"id": 1
}'Response
RESPONSE
json
[
{
"post_id": 1,
"author": "steemit",
"permlink": "firstpost",
"category": "meta",
"title": "Welcome to Steem!",
"body": "Steemit is a social media platform where anyone can earn STEEM points by posting and liking posts.",
"json_metadata": {},
"created": "2016-03-30T18:30:18",
"updated": "2016-03-30T18:30:18",
"depth": 0,
"children": 445,
"net_rshares": 830053779138,
"is_paidout": true,
"payout_at": "2016-08-24T19:59:42",
"payout": 1.698,
"pending_payout_value": "0.000 SBD",
"author_payout_value": "0.942 SBD",
"curator_payout_value": "0.756 SBD",
"promoted": null,
"replies": [],
"active_votes": [
{
"voter": "dantheman",
"rshares": "375241"
}
],
"author_reputation": 35.01,
"stats": {
"hide": false,
"gray": false,
"total_votes": 92,
"flag_weight": 0
},
"beneficiaries": [],
"max_accepted_payout": "1000000.000 SBD",
"percent_steem_dollars": 10000,
"url": "/meta/@steemit/firstpost",
"blacklists": []
}
]